%global momorel 3
%global md5sum_src0 2d7d52360c567fb8fb6aeae03f91d9b1
%global md5sum_src1 810f7922ac37ca87d61a0fb0cd830b8b

Summary: galago library for .Net
Name: galago-gtk-sharp
Version: 0.5.0
Release: %{momorel}m%{?dist}
URL: http://www.galago-project.org/specs/notification/ 
%NoSource 0 http://www.galago-project.org/files/releases/source/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
%NoSource 1 http://www.galago-project.org/files/releases/source/libgalago-gtk/libgalago-gtk-0.5.0.tar.gz %{md5sum_src1}
Patch0: galago-gtk-sharp-0.5.0-libgalago.patch
Patch1: galago-gtk-sharp-0.5.0-nunit.patch
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: mono-devel >= 1.1.17.1
BuildRequires: gtk-sharp-devel >= 2.10.0
BuildRequires: libgalago-devel >= 0.5.1
BuildRequires: galago-sharp >= 0.5.0

%description
Galago-Gtk# for Mono v0.1.0

%package devel
Summary:	Files for development using %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains pkg-config file for development of programs
using %{name}.

%prep
%setup -q
%patch0 -p1 -b .libgalago
%patch1 -p1 -b .nunit

cp %{SOURCE1} sources

%build
autoreconf -vfi
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%if %_lib != lib
mkdir -p  %buildroot%_prefix/lib/
mv %buildroot%_libdir/mono %buildroot%_prefix/lib/
#perl -pi -e "s^%_libdir^%_prefix/lib^" %buildroot%_libdir/pkgconfig/galago-sharp.pc
%endif

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_prefix}/lib/mono/gac/%{name}/1.0.0.0__a09f8068634671bb/%{name}.dll
%{_prefix}/lib/mono/%{name}/%{name}.dll
%{_datadir}/gapi-2.0/galago-gtk-api.xml

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Mon Sep  4 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.1.0-3m)
- revise %install section for x86_64

* Mon Sep  4 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.1.0-2m)
- add BuildRequires: galago-sharp >= 0.5.0

* Sun Sep  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.0-1m)
- initila build
